
Foreman - Bug #30713

Helpers power_status not available

08/26/2020 01:08 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: BMC   

Target version: 2.2.2   

Difficulty:  Fixed in Releases: 2.2.2, 2.3.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7927,

https://github.com/theforeman/foreman/p

ull/8172

  

Description

Method not found error when BMC is enabled.

Related issues:

Related to Foreman - Bug #31432: Error with BMC plugin: undefined method `pow... Duplicate

Associated revisions

Revision 5e3bea2a - 10/23/2020 01:14 PM - Lukas Zapletal

Fixes #30713 - power_status helper fixed

History

#1 - 08/26/2020 01:10 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7927 added

#2 - 10/23/2020 01:14 PM - The Foreman Bot

- Fixed in Releases 2.3.0 added

#3 - 10/23/2020 02:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|5e3bea2a06ffde0f87cc015f567b5adeb5c66cd4.

#4 - 12/02/2020 02:45 PM - Lukas Zapletal

- Related to Bug #31432: Error with BMC plugin: undefined method `power_status' for #<HostsController:0x00007f7b55ee2550> Did you mean?

power_host_path added

#5 - 12/02/2020 02:50 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8172 added

#6 - 12/02/2020 02:51 PM - Lukas Zapletal

- Target version set to 2.2.2

Requesting backport into 2.2.

#7 - 12/02/2020 05:54 PM - Tomer Brisker

- Fixed in Releases 2.2.2 added
